package com.cit.sellfan.ui.view;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.data.Property;
import com.xdev.ui.XdevAbsoluteLayout;
import com.xdev.ui.XdevCheckBox;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevView;

public class BrowserView extends XdevView {
	private VariabiliGlobali l_VG = null;
	private boolean editEnabled = false;
	
	/**
	 * 
	 */
	public BrowserView() {
		super();
		this.initUI();
	}
	
	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		this.labelOS.setValue(this.l_VG.OSDescription);
		this.labelResolution.setValue(Integer.toString(this.l_VG.browserWidth) + "x" + Integer.toString(this.l_VG.browserHeight) + " pixel");
		this.editEnabled = false;
		boolean mobileSuggerito = false;
		if (this.l_VG.browserWidth < this.l_VG.minBrowserWidth || this.l_VG.browserHeight < this.l_VG.minBrowserHeight) {
			mobileSuggerito = true;
		}
		if (mobileSuggerito) {
			this.checkBoxNormale.setCaption("<b>Use standard landscape layout");
			this.checkBoxMobile.setCaption("<b>Use reduced portrait layout (Recommended)");
		} else {
			this.checkBoxNormale.setCaption("<b>Use standard landscape layout (Recommended)");
			this.checkBoxMobile.setCaption("<b>Use reduced portrait layout");
		}
		this.labelWarning0.setVisible(mobileSuggerito);
		this.labelWarning1.setVisible(mobileSuggerito);
		this.labelWarning2.setVisible(mobileSuggerito);
		this.checkBoxNormale.setValue(!mobileSuggerito);
		this.checkBoxMobile.setValue(mobileSuggerito);
		this.editEnabled = true;
	}
	
	public boolean getMobileRequest() {
		return this.checkBoxMobile.getValue();
	}

	/**
	 * Event handler delegate method for the {@link XdevCheckBox}
	 * {@link #checkBoxNormale}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void checkBoxNormale_valueChange(final Property.ValueChangeEvent event) {
		if (!this.editEnabled) {
			return;
		}
		this.editEnabled = false;
		this.checkBoxMobile.setValue(!this.checkBoxNormale.getValue());
		this.editEnabled = true;
	}

	/**
	 * Event handler delegate method for the {@link XdevCheckBox}
	 * {@link #checkBoxMobile}.
	 *
	 * @see Property.ValueChangeListener#valueChange(Property.ValueChangeEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void checkBoxMobile_valueChange(final Property.ValueChangeEvent event) {
		if (!this.editEnabled) {
			return;
		}
		this.editEnabled = false;
		this.checkBoxNormale.setValue(!this.checkBoxMobile.getValue());
		this.editEnabled = true;
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.absoluteLayout = new XdevAbsoluteLayout();
		this.label1 = new XdevLabel();
		this.label2 = new XdevLabel();
		this.label3 = new XdevLabel();
		this.labelOS = new XdevLabel();
		this.labelResolution = new XdevLabel();
		this.labelWarning2 = new XdevLabel();
		this.labelWarning1 = new XdevLabel();
		this.checkBoxNormale = new XdevCheckBox();
		this.checkBoxMobile = new XdevCheckBox();
		this.labelWarning0 = new XdevLabel();
	
		this.label1.setValue("Browser declare:");
		this.label2.setValue("OS:");
		this.label3.setValue("Resolution:");
		this.labelOS.setValue("os");
		this.labelResolution.setValue("AxB");
		this.labelWarning2.setValue("<b><center><font color='blue' size='+1'>use standard landscape layout");
		this.labelWarning2.setContentMode(com.vaadin.shared.ui.label.ContentMode.HTML);
		this.labelWarning1.setValue("<b><center><font color='blue' size='+1'>Resolution is insufficient to");
		this.labelWarning1.setContentMode(com.vaadin.shared.ui.label.ContentMode.HTML);
		this.checkBoxNormale.setCaption("<b>Use standard landscape layout");
		this.checkBoxNormale.setCaptionAsHtml(true);
		this.checkBoxMobile.setCaption("<b>Use reduced portrait layout");
		this.checkBoxMobile.setCaptionAsHtml(true);
		this.labelWarning0.setValue("<b><center><font color='red' size='+1'>Warning");
		this.labelWarning0.setContentMode(com.vaadin.shared.ui.label.ContentMode.HTML);
	
		this.label1.setWidth(280, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.label1, "left:10px; top:22px");
		this.label2.setWidth(80, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.label2, "left:10px; top:44px");
		this.label3.setWidth(80, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.label3, "left:10px; top:66px");
		this.labelOS.setWidth(190, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.labelOS, "left:100px; top:44px");
		this.labelResolution.setWidth(190, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.labelResolution, "left:100px; top:66px");
		this.labelWarning2.setWidth(280, Unit.PIXELS);
		this.labelWarning2.setHeight(25, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.labelWarning2, "left:10px; top:170px");
		this.labelWarning1.setWidth(280, Unit.PIXELS);
		this.labelWarning1.setHeight(25, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.labelWarning1, "left:10px; top:140px");
		this.absoluteLayout.addComponent(this.checkBoxNormale, "left:20px; top:220px");
		this.absoluteLayout.addComponent(this.checkBoxMobile, "left:20px; top:260px");
		this.labelWarning0.setWidth(280, Unit.PIXELS);
		this.labelWarning0.setHeight(25, Unit.PIXELS);
		this.absoluteLayout.addComponent(this.labelWarning0, "left:10px; top:110px");
		this.absoluteLayout.setWidth(300, Unit.PIXELS);
		this.absoluteLayout.setHeight(300, Unit.PIXELS);
		this.setContent(this.absoluteLayout);
		this.setWidth(300, Unit.PIXELS);
		this.setHeight(300, Unit.PIXELS);
	
		this.checkBoxNormale.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				BrowserView.this.checkBoxNormale_valueChange(event);
			}
		});
		this.checkBoxMobile.addValueChangeListener(new Property.ValueChangeListener() {
			@Override
			public void valueChange(final Property.ValueChangeEvent event) {
				BrowserView.this.checkBoxMobile_valueChange(event);
			}
		});
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel label1, label2, label3, labelOS, labelResolution, labelWarning2, labelWarning1, labelWarning0;
	private XdevAbsoluteLayout absoluteLayout;
	private XdevCheckBox checkBoxNormale, checkBoxMobile;
	// </generated-code>

}
